> For the complete documentation index, see [llms.txt](https://gitbook.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook.com/docs/developers/gitbook-api/api-reference/change-requests/change-request-reviewers.md).

# Change request reviewers

Ensure quality by requesting and tracking reviewer feedback in your GitBook flow. This endpoint helps orchestrate the entire review cycle.

## The ChangeRequestRequestedReviewer object

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"components":{"schemas":{"ChangeRequestRequestedReviewer":{"type":"object","allOf":[{"type":"object","properties":{"object":{"type":"string","description":"Type of Object, always equals to \"change-request-requested-reviewer\"","enum":["change-request-requested-reviewer"]},"revision":{"type":"string","description":"The revision of the content when the request was made."},"requestedBy":{"description":"The user who made the request.","$ref":"#/components/schemas/User"},"createdAt":{"$ref":"#/components/schemas/Timestamp"}},"required":["object","revision","requestedBy","createdAt"]},{"type":"object","oneOf":[{"type":"object","properties":{"kind":{"type":"string","enum":["user"]},"user":{"description":"The user who was requested to review.","$ref":"#/components/schemas/User"}},"required":["kind","user"]},{"type":"object","properties":{"kind":{"type":"string","enum":["team"]},"team":{"description":"The team who was requested to review.","$ref":"#/components/schemas/Team"}},"required":["kind","team"]}]}]},"User":{"type":"object","properties":{"object":{"type":"string","description":"Type of Object, always equals to \"user\"","enum":["user"]},"id":{"type":"string","description":"Unique identifier for the user"},"displayName":{"type":"string","description":"Full name for the user"},"email":{"type":"string","description":"Email address of the user"},"photoURL":{"type":"string","description":"URL of the user's profile picture"},"urls":{"type":"object","description":"URLs associated with the object","properties":{"location":{"type":"string","description":"URL of the user in the API","format":"uri"}},"required":["location"]}},"required":["object","id","displayName","urls"]},"Timestamp":{"type":"string","format":"date-time"},"Team":{"type":"object","properties":{"object":{"type":"string","description":"Type of Object, always equals to \"team\"","enum":["team"]},"id":{"type":"string","description":"Unique identifier for the team"}},"required":["object","id"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook.com/docs/developers/gitbook-api/api-reference/change-requests/change-request-reviewers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
